org.eclipse.remote.core

## Interface IRemoteConnectionType.Service.Factory

All Known Implementing Classes:
  RemoteUIFileService.Factory

Enclosing interface:
  IRemoteConnectionType.Service

    public static interface IRemoteConnectionType.Service.Factory

### Method Summary

All Methods Instance Methods Abstract Methods
`<T extends IRemoteConnectionType.Service> T` `getService(IRemoteConnectionType connectionType, java.lang.Class<T> service)`

### Method Detail

#### getService

    <T extends IRemoteConnectionType.Service> T getService(IRemoteConnectionType connectionType,
                                                           java.lang.Class<T> service)